summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDaniel Friesel <derf@derf.homelinux.org>2008-11-26 20:37:01 +0100
committerDaniel Friesel <derf@derf.homelinux.org>2008-11-26 20:37:01 +0100
commit75222ff889d6fd869873758e520e4795ad2483dd (patch)
tree6f4ca335a617f760e988a06a61f3930a2f61de43
parent8093b027ce0b23f5f377e23fa0fce4889dda6547 (diff)
pkg: debug: print to stderr, ignore SILENT
-rwxr-xr-xbin/pkg4
1 files changed, 2 insertions, 2 deletions
diff --git a/bin/pkg b/bin/pkg
index a994354..1ef3ac1 100755
--- a/bin/pkg
+++ b/bin/pkg
@@ -25,14 +25,14 @@ error=$'\e[0;31m'
reset=$'\e[0m'
function debug {
- if (( !DEBUG )) || (( SILENT )); then return; fi
+ (( DEBUG )) || return
typeset func line
if [[ ${#*} -ge 3 ]] {
func=$1
line=$2
shift 2
}
- echo "(debug) $func:$line: $*"
+ echo "(debug) $func:$line: $*" >&2
}
# I need function name and line number of the function _calling_ debug,